# SPEC file for Outliner extension

%define rname	outliner
%define version 0.7
%define release alt1
%define cid 	\{5774ab71-3896-457c-8364-eec20fcb7918\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Outliner extension for Firefox
Summary(ru_RU.UTF-8):	расширение Outliner для Firefox

License:	GPL
Group:		Networking/WWW
URL:		http://outliner.mozdev.org/
BuildArch:	noarch

Source0:	%rname-%version.xpi

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

BuildRequires(pre):	rpm-build-firefox
BuildRequires:  unzip
Requires:	%firefox_name = %firefox_version

%description 	
Outliner extension for  Mozilla/Firefox/Thunderbird is an outliner,
or at least  some day it will be.  For now this is  just notekeeper
with notes arranged in tree.

%description -l ru_RU.UTF-8
Расширение Outliner для Mozilla/Firefox/Thunderbird - записная книжка
с заметками, организованными в древовидную структуру.

%prep
%setup -c

%install
mkdir -p -- %buildroot/%ciddir
cp -r -- * %buildroot/%ciddir

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Mar 14 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.7-alt1
- New version 0.7
  - added copy / paste subtree
  - correct packaging for FF 2, TB 2

* Mon Jan 08 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.6-alt5
- Fix valid Firefox version range
- Spec file cleanup

* Mon Dec 04 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.6-alt4
- Rebuild for Firefox 2.0
  - removes obsolete macros
  - replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.6-alt3
- Rebuild for Firefox 1.5.0.7

* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.6-alt2
- Rebuild for Firefox 1.5.0.6

* Wed Jun 28 2006 Nikolay A. Fetisov <naf@altlinux.ru> 0.6-alt1
- Initial build for ALTLinux Sisyphus

